A Sandcastle Documented Class Library

# MainWindow
ScrollViewer_ScrollChanged Method

Event handler. Called by ScrollViewer for scroll changed events.

Namespace: butterflow_ui
Assembly: butterflow-ui (in butterflow-ui.exe) Version: 1.0.4.40427 (1.0.0.0)
Syntax
C#
Copy

    private void ScrollViewer_ScrollChanged(
    	Object sender,
    	ScrollChangedEventArgs e
    )

#### Parameters

sender
  Type: System
  Object
  Source of the event.
e
  Type: System.Windows.Controls
  ScrollChangedEventArgs
  Scroll changed event information.

Remarks
This code autoscrolls the scroll viewer as more text is added. It is based on this example from Stack Overflow: https://stackoverflow.com/questions/2984803/how-to-automatically-scroll-scrollviewer-only-if-the-user-did-not-change-scrol.
See Also

#### Reference

MainWindow Class
butterflow_ui Namespace